%define name gnome-nettool
%define version 2.16.0
%define release %mkrel 1

Summary: GNOME interface for networking tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: scrollkeeper
BuildRequires:  gnome-doc-utils libxslt-proc
BuildRequires: ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
Conflicts: gnome-network <= 1.99.5
Provides: gnome-netinfo
Obsoletes: gnome-netinfo
#gw for dig
Requires: bind-utils
#gw for ping, ping6
Requires: iputils
Requires: whois
Requires: traceroute
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3

%description
This is a GNOME gui for the basic networking tools like ping, whois,
traceroute and dig.

%prep
%setup -q

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name --with-gnome
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): title="Network information" longtitle="GNOME Network Information" command="%{_bindir}/%name" icon="%name.png" needs="x11" section="Internet/Other" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/gnome-nettool.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 %buildroot%_datadir/icons/hicolor/48x48/apps/gnome-nettool.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %buildroot%_datadir/icons/hicolor/48x48/apps/gnome-nettool.png %buildroot%_miconsdir/%name.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%update_scrollkeeper
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO NEWS AUTHORS ChangeLog
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%{_menudir}/*
%_datadir/icons/hicolor/48x48/apps/gnome-nettool.png
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%dir %_datadir/omf/*
%_datadir/omf/*/*-C.omf

%changelog
* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-3mdv2007.0
- xdg menu

* Sat Jun  3 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-2mdv2007.0
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.0-1mdv2007.0
- Release 2.15.0

* Thu May 18 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- new version

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Thu Mar 16 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.13.91-1mdk
- New release 2.13.91

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 2.13.90-1mdk
- New release 2.13.90

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5
- use mkrel

* Tue Oct  4 2005 Gtz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- new version

* Mon Mar 07 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- New release 1.2.0

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- New release 1.0.0

* Tue Aug 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.3-1mdk
- New release 0.99.3

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- add icon
- New release 0.99.2

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- fix file list
- fix description
- renamed from gnome-netinfo

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-3mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-2mdk
- fix source url
- fix buildrequires

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-1mdk
- initial package
